This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 59627 - Usernames with spaces cause user-visible error on login
Usernames with spaces cause user-visible error on login
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 09:22 EST by Mark Cooke
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 11:23:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 2002-02-11 09:22:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
/etc/profile contains a number of places where variable expansion - particularly
of user and group names - with spaces cause error messages.

This was exposed using winbind and the latest samba packages.

Adding extra "'s around `id *` calls fixes this.

Ie,

if [ "`id -gn`" = "`id -un`" -a `id -u` -gt 14 ]; then
        umask 002
else
        umask 022
fi

(Just a bugzilla report against a message I read on the samba list)

As an extension to this, including files from /etc/profile.d/ doesn't look
space-safe either.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup a user name with a space
2.Login


Actual Results:  Doesn't reset the umask correctly.

Expected Results:  It should

Additional info:
Comment 1 Bill Nottingham 2002-02-11 11:22:15 EST
Usernames with spaces are generally discouraged.
Comment 2 Bill Nottingham 2002-03-11 01:06:22 EST
Fixed in 2.5.8-1

Note You need to log in before you can comment on or make changes to this bug.